/* 
Celeste Background General JMC #5CA3FF
Azul Marino profundo #0b3755;
Azul marino #156aa3
*/

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Afacad';
    font-size: 22px;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #156aa3;
}

.interText {
    font-size: 50px;
    color: white;
    text-align: center;
}

.shiny-text {
    color: white;
    text-shadow: white 0px 1px 2px;
}

/* 
/
/
/
NavBar 
/
/
/
*/
.header {
    background-color: #0b3755;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 85px;
    padding: 5px 10%;
    position: sticky;
    top: 0;
    box-shadow: #156aa3 0 5px;
    z-index: 1;
}

.header .Logo {
    margin-right: auto;
    display: flex;
    align-items: center;
}

.header .Logo img {
    height: 90px;
    width: auto;
    border-radius: 0%;
    margin-right: 10px;
}

.header p {
    margin-right: auto;
    color: white;
    text-shadow: black 0 2px 2px;
}

.menu {
    display: none;
}

.header .nav-link {
    list-style: none;
}

.header .nav-link li {
    display: inline-block;
    padding: 0 20px;
    transition: 0.3s;
}

.header .nav-link li:hover {
    transform: scale(1.1);
}

.header .nav-link a {
    color: rgb(255, 255, 255);
    transition: 0.3s;
}

.header .nav-link li a:hover {
    color: white;
    text-shadow: white 0px 1px 10px;
}

.header .btn button,
.header .menu button {
    margin-left: 20px;
    color: black;
    padding: 9px 25px;
    background-color: #156aa3;
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: 0.3s;
}

.header .btn button:hover,
.header .menu button:hover {
    background-color: #5CA3FF;
    color: white;
    box-shadow: black 0 1px 5px;
}

@media screen and (max-width:800px) {

    .nav-link,
    .btn {
        display: none;
    }

    .menu {
        display: inherit;
    }
}

/* 
/
/
/
NavBar JS
/
/
/
*/
.header a {
    text-decoration: none;
}

.header .overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    background-image: url('img/ImagenPrincipal_1.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    overflow: hidden;
    transition: all 0.3s;
}

.header .overlay .overlay-content {
    display: flex;
    height: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.header .overlay a {
    padding: 15px;
    font-size: 36px;
    display: block;
    transition: all 0.3s;
    font-weight: 500;
    color: white;
}

.header .overlay a:hover,
.header .overlay a:focus {
    color: white;
    text-shadow: white 0 0 5px;
    transform: scale(1.1);
}

.header .overlay .close {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 65px;
}

@media screen and (max-heigth:450px) {
    .header .overlay a {
        font-size: 20px;
    }

    .header .overlay .close {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}

/*
/
/
/
INICIO
/
/
/
*/
section {
    background-color: #5CA3FF;
}

#Inicio {
    width: 100%;
    height: 80vh;
    background-image: url('img/ImagenPrincipal_1.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#Inicio h1 {
    text-shadow: white 0 0 8px;
    font-size: 50px;
    color: white;
    margin: 5px 50px;
}

#Inicio span {
    text-shadow: #5CA3FF 0 0 8px;
    font-size: 50px;
    color: #5CA3FF;
}

/*
/
/
/
SERVICIOS
/
/
/
*/
#Servicios {
    width: 100%;
    display: flex;
}

#Servicios .s-upperText {
    background: linear-gradient(#156aa3 70%, #5CA3FF);
    width: 100%;
    text-align: start;
    padding: 20px;
}

.s-upperText p {
    width: 60%;
    font-size: 20px;
    color: white;
    text-shadow: white 0px 1px 2px;
}

#Servicios .s-filaServ {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.s-filaServ hr {
    height: 3px;
    background-color: white;
    margin: 20px 50px;
}

.s-filaServ .s-Servicio {
    background-color: #5CA3FF;
}

.s-Servicio .serv-Title {
    display: flex;
    margin: 20px;
    text-align: start;
    color: white;
    align-items: center;
    text-shadow: white 0 1px 3px;
}

.serv-Title h1 {
    font-size: 40px;
}

.serv-Title i {
    font-size: 30px;
    margin-right: 20px;
}

.s-Servicio .serv-Info {
    margin: 20px 65px;
    color: #222;
}

.serv-Info .serv-list {
    display: flex;
    margin: 20px 0;
    text-align: start;
    align-items: center;
}

.serv-list p {
    font-size: 20px;
    margin-left: 10px;
}

.serv-list i {
    font-size: 20px;
}

@media screen and (min-width: 1500px) {

    .s-upperText p {
        width: 100%;
    }
}

/*
/
/
/
NOSOTROS
/
/
/
*/
#Nosotros {
    width: 100%;
    height: auto;
    padding-block: 20px;
    background: linear-gradient(#156AA3 80%, #5CA3FF);
}

#Nosotros .n-mainBox {
    display: flex;
    background-color: #156AA3;
    margin-bottom: 30px;
}

#Nosotros .n-boxTEXT {
    flex: 1;
    margin: 0 100px 0 20px
}

#Nosotros .n-boxTEXT h1 {
    color: white;
    font-size: 30px;
    text-shadow: black 0 2px 0;
}

#Nosotros .n-boxTEXT p {
    text-align: justify;
    line-height: 25px;
    padding-block: 10px;
    color: white;
}

#Nosotros .n-boxIMG {
    flex: 1;
    background-image: url('img/Imagen_Principal.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

#Nosotros .n-boxIMG figure {
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right, rgba(225, 0, 0, 0)80%, #156AA3);
}

@media screen and (max-width:800px) {
    #Nosotros .n-mainBox {
        display: grid;
    }

    #Nosotros .n-boxTEXT {
        margin: 0 30px;
    }
}

/*


MAINBOX 2


*/

#Nosotros .n-mainBox2 {
    margin: 0;
    padding: 0;
}

.n-mainBox2 .n-boxTEXT2 {
    margin: 40px 20px;
    color: white;
    text-decoration: underline;
}

.n-boxTEXT2 p {
    font-size: 25px;
    text-shadow: black 0px 2px 1px;
}

/*




NOSOTROS - PILARES




*/

#Nosotros .n-boxPilares {
    width: 100%;
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    margin-bottom: 60px;
}

.n-boxPilares .n-boxPILAR {
    display: flex;
    flex-direction: column;
    width: 25%;
}

.n-boxPILAR .pilarUP {
    height: 50px;
    width: 100%;
    display: flex;
    position: relative;
}

.pilarUP .pilar-icon {
    background-color: white;
    border: solid 5px #156aa3;
    width: 70px;
    height: 70px;
    border-radius: 50px;
    position: absolute;
    margin: auto;
    top: 20px;
    left: 0;
    right: 0;
    align-content: center;
    text-align: center;
}

.pilar-icon i {
    color: #156aa3;
    font-size: 40px;
}

.n-boxPILAR .pilarDown {
    background-color: #5CA3FF;
    padding: 60px 20px;
    border-radius: 10px;
    box-shadow: black 0px 2px 2px;
    width: 100%;
    min-height: 350px;
}

.pilarDown .pilar-info {
    padding-inline: 20px;
    color: #222;
}

.pilar-info h1 {
    text-align: center;
    text-decoration: underline 2px;
    text-underline-offset: 3px;
    margin-bottom: 25px;
}

.pilar-info p {
    font-size: 20px;
    text-align: justify;
}

@media screen and (max-width: 900px) {
    .n-boxPilares {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }

    .n-boxPilares .n-boxPILAR {
        display: flex;
        width: 50%;
        margin-bottom: 40px;
    }
}

@media screen and (max-width: 500px) {
    .n-boxPilares .n-boxPILAR {
        width: 80%;
    }
}

/*




NOSOTROS - VISION Y MISION




*/

.n-mainBox2 .n-boxPorqueElegirnos {
    width: 100%;
    text-align: center;
    color: white;
}

.n-boxPorqueElegirnos h1 {
    font-size: 40px;
    text-shadow: black 0px 2px 1px;
}

.n-boxMIVI {
    width: 100%;
    margin: 50px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.n-boxMIVI .n-boxMIVI-2 {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 50px;
}

.n-boxMIVI-2 .n-MIVIUP {
    height: 50px;
    width: 100%;
    display: flex;
    position: relative;
}

.n-MIVIUP .n-MIVILOGO {
    background-color: white;
    border: solid 5px #156aa3;
    width: 90px;
    height: 90px;
    border-radius: 50px;
    position: absolute;
    margin: auto;
    top: 5px;
    left: 0;
    right: 0;
    align-content: center;
    text-align: center;
}

.n-MIVILOGO i {
    font-size: 50px;
    color: #156AA3;
}

.n-boxMIVI-2 .n-MIVIDOWN {
    background-color: #5CA3FF;
    padding: 60px 20px;
    box-shadow: black 0px 2px 2px;
    border-radius: 10px;
    width: 70%;
    text-align: center;
}

.n-MIVIDOWN .n-MIVITitle h1 {
    font-size: 40px;
    color: white;
    text-decoration: underline;
    margin-bottom: 20px;
}

.n-MIVIDOWN .n-MIVIText {
    width: 70%;
    margin: auto;
}

.n-MIVIText p {
    color: #222;
}

@media screen and (max-width: 600px) {
    .n-boxMIVI-2 .n-MIVIDOWN {
        width: 100%;
        border-radius: 0px;
    }
}


/*




NOSOTROS - EQUIPO




*/

#Nosotros .team-container {
    display: grid;
}

#Nosotros .team-container h1 {
    color: white;
    font-size: 40px;
    margin: 0 50px 0;
    text-shadow: black 0 0 5px;
    text-decoration: underline 2px;
    text-underline-offset: 10px;
}

#Nosotros .teamBox {
    margin: 20px;
    display: flex;
    justify-content: space-between;
}

#Nosotros .miembro {
    width: 265px;
    display: grid;
    place-items: center;
    padding: 10px;
}

.miembro p {
    font-size: 20px;
    color: rgb(255, 255, 255);
    text-shadow: black 0 2px 0;
}

.miembro img {
    width: 200px;
    margin-bottom: 10px;
    border-radius: 50%;
    box-shadow: black 0 1px 2px;
}

@media screen and (max-width:800px) {
    #Nosotros .teamBox {
        display: grid;
        place-content: center;
        margin: 0;
    }

    #Nosotros .team-container h1 {
        margin-bottom: 20px;
    }
}

/* 




SUB SECTION - CLIENTES 




*/

.clientes-box {
    width: 100%;
    height: 300px;
    background-color: white;
    box-shadow: #0b3755 0 -5px 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.clientes-box img {
    width: 300px;
}

@media screen and (max-width:900px) {
    .clientes-box {
        height: 200px;
    }

    .clientes-box img {
        width: 180px;
    }
}

@media screen and (max-width:550px) {
    .clientes-box {
        height: 100px;
    }

    .clientes-box img {
        width: 100px;
    }
}

/*
/
/
/
PROYECTOS
/
/
/
*/

#Proyectos {
    display: flex;
    flex-direction: column;
    height: auto;
    width: 100%;
    padding-block: 30px;
    background-color: #156AA3;
}

/* CONTENEDOR PRINCIPAL */
#Proyectos .p-mainbox {
    width: 100%;
    height: auto;
    box-sizing: border-box;
}

/* TÍTULO */
.p-mainbox .p-minibox-title {
    display: flex;
    align-items: center;
    padding: 10px 20px;
}

.p-minibox-title h1,
.p-minibox-title i {
    margin: 0 10px;
    font-size: 25px;
    color: white;
    text-shadow: black 0px 2px 2px;
}

/* FILA DE CONTENIDO */
.p-mainbox .p-fila {
    background-color: #5CA3FF;
    width: 100%;
    padding: 40px;
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
    box-sizing: border-box;
}

/* HIJOS DE FLEX (ANTI DESBORDE) */
.p-fila>* {
    min-width: 0;
}

/* CAJAS DE TEXTO E IMAGEN */
.p-mainbox .p-minibox,
.p-mainbox .p-imgbox {
    width: 25%;
    min-height: 250px;
    box-shadow: black 0 1px 2px;
    box-sizing: border-box;
}

/* CAJA DE TEXTO */
.p-minibox {
    display: flex;
    justify-content: center;
    align-items: center;
    border: solid black 2px;
}

/* TEXTO INTERNO */
#Proyectos .p-minibox-text {
    text-align: justify;
    width: 100%;
    box-sizing: border-box;
}

.p-minibox-text p {
    margin: 5px;
    word-wrap: break-word;
    overflow-wrap: break-word;
    font-size: 20px;
}

.p-imgbox i {
    align-self: center;
    font-size: 20px;
    color: white;
    margin-right: 5px;
}

/* CAJA DE IMAGEN */
.p-mainbox .p-imgbox {
    width: 25%;
    aspect-ratio: 1 / 1;
    box-shadow: black 0 1px 2px;
    position: relative;
    overflow: hidden;
}

.p-imgbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* OVERLAY */
.p-imgbox .p-content {
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: all 300ms ease-out;
    opacity: 0;
}

.p-content p {
    font-size: 21px;
    color: white;
}

.p-content>* {
    transform: translateY(25px);
    transition: transform 0.6s;
}

.p-content:hover {
    opacity: 1;
}

.p-content:hover>* {
    transform: translateY(0);
}

.p-content-FECHAENTREGA {
    display: flex;
}

/* RESPONSIVE */
@media (max-width: 900px) {

    .p-mainbox .p-minibox,
    .p-mainbox .p-imgbox {
        width: 100%;
    }
}

/*
/
/
/
FOOTER
/
/
/
*/
footer {
    width: 100%;
    background-color: #0b3755;
}

footer .main-footer {
    width: 100%;
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 50px;
    padding: 45px 0px;
}

/* Footer Logo */

footer .main-footer .foot figure {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer .main-footer .foot figure img {
    width: 300px;
}

footer .main-footer .foot h1 {
    color: white;
    margin-bottom: 10px;
    font-size: 20px;
}

/* Footer Nav */

footer .main-footer .navfoot {
    display: grid;
}

footer .main-footer .navfoot a {
    font-size: 18px;
    color: rgb(183, 184, 195);
    text-decoration: none;
    margin-bottom: 10px;
    transition: all 300ms;
}

footer .main-footer .navfoot a:hover {
    text-shadow: white 0 0 2px;
    color: white;
    transform: scale(1.05, 1);
}

footer .horizontal {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

/* Footer Mét. Pago */

footer .main-footer .met-pago {
    display: grid;
    color: rgb(183, 184, 195);
}

footer .main-footer .met-pago p {
    margin-left: 10px;
    font-size: 18px;
}

/* Footer Red Social */

footer .main-footer .red-social {
    display: grid;
}

footer .link-social {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    transition: all 300ms;
    color: rgb(183, 184, 195);
}

footer .main-footer .red-social .link-social:hover {
    color: white;
    text-shadow: white 0 0 2px;
    transform: scale(1.05, 1);
}

footer .main-footer .red-social a {
    text-decoration: none;
    margin-left: 10px;
    color: rgb(183, 184, 195);
    transition: all 300ms;
}

footer .main-footer .red-social a:hover {
    color: white;
}

footer .main-footer .direccion {
    display: flex;
    align-items: center;
    color: rgb(183, 184, 195)
}

footer .main-footer .direccion p {
    font-size: 18px;
    margin-left: 10px;
}


/* Footer CopyRigth */

footer .cpr-footer {
    border-top: white solid 1px;
    margin: 0 25px;
    padding: 10px 0;
    color: white;
}

@media screen and (max-width:800px) {
    footer .main-footer {
        width: 80%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 30px;
        padding: 35px 0;
    }
}